Subject: Re: [bug#44900] [PATCH] services: unattended-upgrade: Add 'search-paths' field.

From: Lars-Dominik Braun <[email-masked]>
Date: Thu, 3 Dec 2020 09:36:46 +0100

Hi,

> > Okay, I can see that, but I’d like to use the same list of channels in that
> > service and channels.scm. Since creating an etc-service for
> > /etc/guix/channels.scm does not work, I was left with the other option, i.e.
> > using that file for unattended upgrades. Are there any other options?
> I’d say that specifying the ‘channels’ field of
> ‘unattended-upgrade-configuration’ gives you that, no?
no, /etc/guix/channels.scm also functions as a default channel list for every
users’ `guix pull`, which I also want to have.

> Also, what doesn’t it work to populate /etc/guix/channels.scm via
> ‘etc-service-type’?
This snippet:

---snip---
(simple-service 'guix-channels etc-service-type
   (list `("guix/channels.scm" , (scheme-file "channels.scm" %guix-channels))))
---snap---

Causes this error when reconfiguring:

---snip---
activating system...
The following derivation will be built:
   /gnu/store/qqp3vz7r6i6fa7wckzdxs1613gvww4b6-switch-to-system.scm.drv

building /gnu/store/qqp3vz7r6i6fa7wckzdxs1613gvww4b6-switch-to-system.scm.drv...
making '/gnu/store/ykfn25vpvgmjkq4l8xygs7fwabgkgp2s-system' the current system...
setting up setuid programs in '/run/setuid-programs'...
populating /etc from /gnu/store/mdpbph8cpgwydy3hwfq0q6sk44bfbk93-etc...
guix system: error: symlink: File exists: "/etc/guix"
---snap---

/gnu/store/mdpbph8cpgwydy3hwfq0q6sk44bfbk93-etc looks correct to me, i.e. it
has a guix subdirectory with a correct channels.scm file in it.

Cheers,
Lars

-- 
Lars-Dominik Braun
Wissenschaftlicher Mitarbeiter/Research Associate

www.leibniz-psychology.org
ZPID - Leibniz-Institut für Psychologie /
ZPID - Leibniz Institute for Psychology
Universitätsring 15
D-54296 Trier - Germany
Tel.: +49–651–201-4964